<link rel="import" href="../../bower_components/polymer/polymer-element.html">

<dom-module id="prueba-raiz">
  <template>
    <style>
      :host {
        display: block;
      }
    </style>
    <h2>Hello [[prop1]]!</h2>
    <paper-input label="Nombre" value=""></paper-input>
    <paper-input label="Apellidos" value="{{prop1}}"></paper-input>
    <paper-input error-message="Invalid input!" label="Input label"></paper-input>
    <paper-input label="total">
      <div prefix>$</div>
      <paper-icon-button slot="suffix" icon="clear"></paper-icon-button>
    </paper-input>
  </template>

  <script>
    /**
     * @customElement
     * @polymer
     */
    class PruebaRaiz extends Polymer.Element {
      static get is() { return 'prueba-raiz'; }
      static get properties() {
        return {
          prop1: {
            type: String,
            value: 'prueba-raiz'
          }
        };
      }
    }

    window.customElements.define(PruebaRaiz.is, PruebaRaiz);
  </script>
</dom-module>
